Subject: bug#52480: 28.0.60; Emacs Zip-Archive open inside image file does not display, just empty buffer

From: "Christopher M. Miles" <[email-masked]>
Date: Fri, 17 Dec 2021 12:02:27 +0800

Eli Zaretskii <[email-masked]> writes:

>> From: "Christopher M. Miles" <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> Date: Fri, 17 Dec 2021 00:12:43 +0800
>> 
>> I see, thanks for your help. Is there any method and idea about how to debug this problem? Can you
>> tell me how to do it? Thanks.
>
> This could be specific to macOS, I guess.  The way to debug it is to
> step through the code which parses and displays the image, I suppose.
>
> Anyway, can you describe what you see when you try to open one of
> those images from within a ZIP file?  You said empty buffer, but
> that's not how Emacs displays images it cannot draw as images.  So
> maybe you didn't describe the display in all the detail?

I recorded a screencast video of this problem. And I uploaded the big video file here:

https://www.bilibili.com/video/BV12Y411W7VS/

-- 
[ stardiviner ]
       I try to make every word tell the meaning that I want to express.

       Blog: https://stardiviner.github.io/
       IRC(freenode): stardiviner, Matrix: stardiviner
       GPG: F09F650D7D674819892591401B5DF1C95AE89AC3